Subject: [Int-dir] Review of draft-ietf-softwire-multicast-prefix-option

From: Sheng Jiang <[email-masked]>
Date: Tue, 10 Jan 2017 02:00:49 +0000

Reviewer: Sheng Jiang

Review result: Almost Ready

I am an assigned INT directorate reviewer for draft-ietf-dhc-dhcpv6-failover-protocol-03. These comments were written primarily for the benefit of the Internet Area Directors.

Document editors and shepherd(s) should treat these comments just like they would treat comments from any other IETF contributors and resolve them along with any other Last Call comments that have been received.

For more details on the INT Directorate, see http://www.ietf.org/iesg/directorate.html.

Review Date:2017-1-10

IETF LC End Date: 2017-1-12

IESG Telechat date:

Summary: This draft is almost ready for publication as a standard track RFC.

Major issues:

Minor issues:

"the specification of a DHCPv6 option that could be used to discover
   unicast PREFIX64s in environments where multicast is not enabled.
   Such side effect conflicts with the recommendation documented in
   Section 6 of [RFC7051]."

It is unclear how the Section 6 of RFC7051 relevant with the content above. It would be necessary to quote particular content of RFC7051 and give necessary analysis.

Nits:

"the Pv4 multicast address is inserted in the last 32 bits of the IPv4-embedded IPv6
   multicast address."

Pv4//IPv4

Regards,

Sheng

---

From: Terry Manderson <[email-masked]>
Date: Tue, 10 Jan 2017 03:36:39 +0000

Thank you for your review Sheng!

T.

On 10/01/2017, 12:00 PM, "Int-dir on behalf of Sheng Jiang" <[email-masked] on behalf of [email-masked]> wrote:

    Reviewer: Sheng Jiang
     
    I am an assigned INT directorate reviewer for draft-ietf-dhc-dhcpv6-failover-protocol-03. These comments were written primarily for the benefit of the Internet Area Directors.
    Document editors and shepherd(s) should treat these comments just like they would treat comments from any other IETF contributors and resolve them along with any other Last Call comments that have been received.
    For more details on the INT Directorate, see
    http://www.ietf.org/iesg/directorate.html.
     
    Review Date:2017-1-10
    IETF LC End Date: 2017–1-12
    IESG Telechat date:

    Major issues:
     
    Minor issues:
     
    “the specification of a DHCPv6 option that could be used to discover
       unicast PREFIX64s in environments where multicast is not enabled.
       Such side effect conflicts with the recommendation documented in
       Section 6 of [RFC7051].”

    Nits:
     
    “the Pv4 multicast address is inserted in the last 32 bits of the IPv4-embedded IPv6
       multicast address.”
     
    Pv4//IPv4
     
    Regards,
     
    Sheng